felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Felix Meschberger <fmesc...@adobe.com>
Subject Web Console Platform Requirement
Date Sat, 17 Dec 2011 12:39:00 GMT
Hi all,

With the upgrade to Bundle plugin 2.3.6 and using BND annotations (FELIX-3181 [1]) the web
console does not run on Java 1.3 platforms any more. I had to switch to Java 5 source level
to allow for annotations. Yet, thanks to target "jsr14" the class files are still compatible
with Java 1.4 and thus the Web Console should run on those platforms.

I hope this is not much of an inconvience. But I think that 2011 it is ok to drop Java 1.3
support ;-)

Regards
Felix

[1] https://issues.apache.org/jira/browse/FELIX-3281
Mime
View raw message